<?php
/**
 * @name srv_control.php
 * @description Fichier principal du plugin serveur
 * @author Nicolas Biersart <n.biersart@esia-sa.com>
 * @contributor
 * @copyright Nicolas Biersart 2012
 * @license
 * @esia 1.00
 * @version 1.0.0
 * @date 09/11/2012
 */

//inclusion des fichiers principaux

//$ESIA_WIDGET_NOTREE=TRUE;
$path = $_SERVER['DOCUMENT_ROOT'];
include_once $path.'common.php';
include_once $path.'/Model_adm.php';
include_once './common_365.php';



$smarty->assign('lang',  $lang);


$action ="showmessage";
if(!empty($_GET['action']))
{
    $action =$_GET['action'];
}
$smarty->assign('action',$action);
session_write_close();
if($action == "showmessage" )
{
    if(!empty($_GET['service']))
    {
        $finalArray = array();
        $credential= Model_365::buildcredential($dbconnection,$node->getId());
        exec($plugin_path.' --json '.$credential.' --type=messages -n "'.$_GET['service'].'"',$out,$ret);
       // echo $plugin_path.' --json '.$credential.' --type=messages -n "'.$_GET['service'].'"';
        $otherService=array();
        if($ret==0)
        {
            $services="";
            foreach($out as $line)
            {
                $services.=$line;
            }
            $services = json_decode($services,true);
            $arr = array();
            foreach($services as &$service)
            {
                if(!empty($service['lasttime']))
                {
                    $date = preg_replace('#Z$#','',$service['lasttime']);   
                    $date = preg_replace('#\.[0-9]*$#','',$date);
                    $date = DateTime::createFromFormat('Y-m-d\TH:i:s', $date);
                    if($date!==false)
                    {
                        $service['end']= $date->format('d-m-Y H:i:s');
                    }
                }
                $arr[]=$service;
            }
            $smarty->assign('messages',array_reverse($services));
            //echo '<pre>';print_r($services);
        }
    }
    else
    {
        echo "Service not found\n";
    }
}
elseif($action == "addNode" )
{
    $type365['onedrive']= 'One Drive';
    $type365['sharepoint']= 'Share Point';
    $type365['mailbox']= 'Exchange';
    $type365['teams']= 'Teams';
    if(!empty($_POST['nodeid']))
    {
        $configs = Model_adm::getAdvanceNodeConfig($dbconnection,$node->getId());
        $confid =0;
        $authparam=array();
        foreach($configs as $conf)
        {
            if($conf['name']=='OFFICE365')
            {
                $confid = $conf['config_type_id'];
                $authparam= $conf['file_content'];
                break;
            }
        }
        // Groupe de noeuds
        $devgroup=array();
        if(isset($_POST['nodegroup'])&&!empty($_POST['nodegroup']))
        {
            $devgroup = $_POST['nodegroup'];
        }
        foreach( $type365 as $type => $name)
        {
            if(isset($_POST['checkbox-'.$type]))
            {
                try
                {
                    $newnode = $node;
                    $newnode->setName($_POST[$type.'-nodename']);
                    $newnode->setGroupList($devgroup);
                    $newnode->setId(null);
                    $newnode->setId( Model_adm::addNode($dbconnection,$newnode));
                    $parameter['type'] = $type;

				    //Mise à jour des droits d'accès (groupe root)
                    Model_adm::addDeviceInDefaultGroup($dbconnection,$newnode);
                    $adv_config_id  = Model_adm::addAdvanceNodeConfig($dbconnection,$newnode->getId(),$confid,$parameter);
                    Model_adm::updateAuthFile($dbconnection,$adv_config_id,'cloud365',$authparam,$newnode->getId());
                    if($type =='onedrive')
                    {
		                $plugin = Model_esia::getPlugin($dbconnection,'CHECK_API_M365_ONEDRIVE_USAGE');
		                $plugin = $plugin[0];
                        Model_adm::addService($dbconnection,'CHECK_API_M365_ONEDRIVE_USAGE',$plugin['id'],$newnode->getId(),300000,$plugin['parameter'],2,null,null,null,null,null);
                    }
                    elseif($type =='sharepoint')
                    {
		                $plugin = Model_esia::getPlugin($dbconnection,'CHECK_API_M365_SHAREPOINT_USAGE');
		                $plugin = $plugin[0];
                        Model_adm::addService($dbconnection,'CHECK_API_M365_SHAREPOINT_USAGE',$plugin['id'],$newnode->getId(),300000,$plugin['parameter'],2,null,null,null,null,null);
                    }
                    elseif($type =='mailbox')
                    {
		                $plugin = Model_esia::getPlugin($dbconnection,'CHECK_API_M365_MAILBOX_USAGE');
		                $plugin = $plugin[0];
                        Model_adm::addService($dbconnection,'CHECK_API_M365_MAILBOX_USAGE',$plugin['id'],$newnode->getId(),300000,$plugin['parameter'],2,null,null,null,null,null);
		                $plugin = Model_esia::getPlugin($dbconnection,'CHECK_API_M365_MAILBOX_ACTIVITY');
		                $plugin = $plugin[0];
                        Model_adm::addService($dbconnection,'CHECK_API_M365_MAILBOX_ACTIVITY',$plugin['id'],$newnode->getId(),300000,$plugin['parameter'],2,null,null,null,null,null);
                    }
                    $smarty->assign('365_node_success', $lang['365_ADD_NODE_SUCCESS']);
                }
                catch(Exception $e)
                {
                	echo $e->getMessage();
                    $smarty->assign('365_node_error',$e->getMessage());
                }
            }
        }

    }
    $smarty->assign('adm_dev_list_group',$node->getGroupList());
    $arr = Model_esia::getGroupDeviceIn($dbconnection);
    $select =array();
    foreach($arr as $top)
    {
        $tmp = convert_tree_to_select($top,0);
        $select = array_merge($select, $tmp);
    }
    $smarty->assign('adm_nodegroup', $select);
    $smarty->assign('o365type',$type365);
}
else
{
        echo "Action not found\n";
}
 
$smarty->display($template_path.'dialog_365.html');
function convert_tree_to_select($top,$itt,$parentid=null,$parentname=null)
{
	/*for($i=0;$i<$itt;$i++)
		echo'=';
	echo $top['name'].'<br />';*/
	$pname=null;
	if(isset($parentname))
	{
		$pname = $parentname.' > '.$top['name'];
	}
	else
	{
		$pname = $top['name'];
	}
	$arr=array();
	$arr[]=array('id'=>$top['id'],'name'=>$top['name'],'level'=>$itt,'parent'=>$parentid,'parent_name'=>$pname);
	$itt++;
	if(isset($top['child']))
	{
		$tmp=array();
		foreach($top['child'] as $child)
		{
			$tmp = convert_tree_to_select($child,$itt,$top['id'],$pname);
			$arr = array_merge($arr, $tmp);
		}
	}
	
	return $arr;
}
?>
