<?php
$smarty->assign('template365',$template_path.'/control_365_mailbox.html');
if($tab =='users')
{
    $credential= Model_365::buildcredential($dbconnection,$node->getId());
    try
    {
        $services = exec365($plugin_path.' --json --type=mailbox --name=usage '.$credential);
        $arr =array();
        foreach($services as $service)
        {
            $state = 'OK';                    
            if($service['storage_used'] >= $service['send_block_quota'] || $service['storage_used'] >= $service['send_received_block_quota'])
            {
                $state = 'CRITICAL';
            }
            elseif($service['storage_used'] >= $service['send_warning_quota'])
            {
                $state = 'WARNING';
            }
            $used = bytesToSize1024($service['storage_used'],1);
            $date = new DateTime($service['last_activity']);
            $arr[]=array('name' =>$service['name'],
                        'description' =>$service['show_name'],
                        'state'=>$state,
                        'usedPretty' =>$used,
                        'used' =>$service['storage_used'],
                        'usedpercent' =>$service['used'],
                        'elem_delete' =>$service['elem_delete'],
                        'elem_count' =>$service['elem_count'],
                        'quota_warning' =>$service['send_warning_quota'],
                        'quota_block' =>$service['send_block_quota'],
                        'quota_warning_pretty' =>bytesToSize1024($service['send_warning_quota'],0),
                        'quota_block_pretty' =>bytesToSize1024($service['send_block_quota'],0),
                        'last_activity'=>$date->format('d-m-Y'),
                            );
        }
        $smarty->assign('mailbox',$arr);
    }
    catch(Exception $e)
    {
        $smarty->assign('error365',$e->getMessage());
    }
}
elseif($tab =='appusage')
{
    $credential= Model_365::buildcredential($dbconnection,$node->getId());
    try
    {
        $services = exec365($plugin_path.' --json --type=mailbox --name=appUsage --args days=30 '.$credential);
        $table_sorter =array();
        $pie_os =array('MAC' => 0, 'WINDOWS'=>0,'MOBILE'=>0,'OTHER'=>0,'WEB'=>0);
        $pie_app =array('MAIL' => 0, 'OUTLOOK'=>0,'OTHER'=>0,'WEB'=>0);
        $end = count($services)-1;
        $date=array();
        $mac_mail=array();
        $mac_outlook=array();
        $windows_outlook=array();
        $mobile_outlook=array();
        $mobile_other=array();
        $web_outlook=array();
        $other=array();

        foreach($services as $i => $service)
        {
            $date[]=$service['date'];
            $mac_mail[]=checkIsEmpty($service['mac_mail']);
            $mac_outlook[]=checkIsEmpty($service['mac_outlook']);
            $windows_outlook[]=checkIsEmpty($service['windows_outlook']);
            $mobile_outlook[]=checkIsEmpty($service['mobile_outlook']);
            $mobile_other[]=checkIsEmpty($service['mobile_other']);
            $web_outlook[]=checkIsEmpty($service['web_outlook']);
            $other[]=checkIsEmpty($service['app_pop3'])+checkIsEmpty($service['app_imap'])+checkIsEmpty($service['app_smtp']) ;
            if($i== $end)
            {
                $pie_os['MAC']= $pie_os['MAC'] + checkIsEmpty($service['mac_mail']);
                $pie_os['MAC']= $pie_os['MAC'] + checkIsEmpty($service['mac_outlook']);
                $pie_os['WINDOWS']= $pie_os['WINDOWS'] + checkIsEmpty($service['windows_outlook']);
                $pie_os['MOBILE']= $pie_os['MOBILE'] + checkIsEmpty($service['mobile_outlook']);
                $pie_os['MOBILE']= $pie_os['MOBILE'] + checkIsEmpty($service['mobile_other']);
                $pie_os['WEB']= $pie_os['WEB'] + checkIsEmpty($service['web_outlook']);
                $pie_os['OTHER']= $pie_os['OTHER'] + checkIsEmpty($service['app_pop3']);
                $pie_os['OTHER']= $pie_os['OTHER'] + checkIsEmpty($service['app_imap']);
                $pie_os['OTHER']= $pie_os['OTHER'] + checkIsEmpty($service['app_smtp']);
                $pie_app['MAIL']= $pie_app['MAIL'] + checkIsEmpty($service['mac_mail']);
                $pie_app['OUTLOOK']= $pie_app['OUTLOOK'] + checkIsEmpty($service['mac_outlook']);
                $pie_app['OUTLOOK']= $pie_app['OUTLOOK'] + checkIsEmpty($service['windows_outlook']);
                $pie_app['OUTLOOK']= $pie_app['OUTLOOK'] + checkIsEmpty($service['mobile_outlook']);
                $pie_app['WEB']= $pie_app['WEB'] + checkIsEmpty($service['web_outlook']);
                $pie_app['OTHER']= $pie_app['OTHER'] + checkIsEmpty($service['mobile_other']);
                $pie_app['OTHER']= $pie_app['OTHER'] + checkIsEmpty($service['app_pop3']);
                $pie_app['OTHER']= $pie_app['OTHER'] + checkIsEmpty($service['app_imap']);
                $pie_app['OTHER']= $pie_app['OTHER'] + checkIsEmpty($service['app_smtp']);

            }
            
            $table_sorter[]=array('date' =>$service['date'],
                        'mac_mail' =>$service['mac_mail'],
                        'mac_outlook'=>$service['mac_outlook'],
                        'windows_outlook' =>$service['windows_outlook'],
                        'mobile_outlook' =>$service['mobile_outlook'],
                        'mobile_other' =>$service['mobile_other'],
                        'web_outlook' =>$service['web_outlook'],
                        'app_pop3' =>$service['app_pop3'],
                        'app_imap' =>$service['app_imap'],
                        'app_smtp' =>$service['app_smtp'],
                            );
        }
        $smarty->assign('ts_appusage',$table_sorter);
        $smarty->assign('chart_appos',json_encode($pie_os));
        $smarty->assign('chart_apps',json_encode($pie_app));
        $chartline = array('x'=>$date,
                        $lang['365_EXCHANGE_APP_MAC_MAIL']=>$mac_mail,
                        $lang['365_EXCHANGE_APP_MAC_OUTLOOK']=>$mac_outlook,
                        $lang['365_EXCHANGE_APP_WINDOWS_OUTLOOK']=>$windows_outlook,
                        $lang['365_EXCHANGE_APP_MOBILE_OUTLOOK']=>$mobile_outlook,
                        $lang['365_EXCHANGE_APP_MOBILE']=>$mobile_other,
                        $lang['365_EXCHANGE_APP_WEB']=>$web_outlook,
                        $lang['365_EXCHANGE_APP_OTHER']=>$other
            );
        $smarty->assign('chart_apps_line',json_encode($chartline));
    }
    catch(Exception $e)
    {
        $smarty->assign('error365',$e->getMessage());
    }
}
function checkIsEmpty($data)
{
    if(!empty($data))
    {
        return $data;
    }
    else
    {
        return 0;
    }
}
?>
