<?php
$smarty->assign('template365',$template_path.'/control_365_onedrive.html');
if($tab =='users')
{
    $credential= Model_365::buildcredential($dbconnection,$node->getId());
    try
    {
        $services = exec365($plugin_path.' --json --type=onedrive --name=userstatdetail '.$credential,$out,$ret);
        if(count($services)==0)
        {
            $smarty->assign('error365',$lang['365_ONEDRIVE_USER_DATA_NOTAVAILABLE']);
        }
        else
        {
            $stateService=array();
            $arr =array();
            foreach($services as $key => $stat)
            {
                        $date = new DateTime($stat['last_activity']);
                        $used = round(($stat['used']/1024/1024),2);
                        if($used > 1024)
                        {
                            $used=round($used/1024,2).' GB';
                        }
                        else
                        {
                            $used=$used.' MB';
                        }
                        $arr[]=array(
                                    "owner"=>$stat['owner'],
                                    "last_activity"=>$date->format('d-m-Y'),
                                    "file"=>$stat['file'],
                                    "active_file"=>$stat['active_file'],
                                    "used"=>$stat['used'],
                                    "usedPretty"=>$used,
                                    "usedpercent"=>round(($stat['used']/$stat['allocated'])*100,0),
                                    "allocated"=>$stat['allocated']);
            }
            $smarty->assign('UserStats',$arr);
        }
    }
    catch(Exception $e)
    {
        $smarty->assign('error365',$e->getMessage());
    }
}
elseif($tab =='fileactivity')
{
    $credential= Model_365::buildcredential($dbconnection,$node->getId());
    try
    {
        $files = exec365($plugin_path.' --json --type=onedrive --name=fileactivity --args days=30 '.$credential,$out,$ret);
        $arr =array();
        foreach($files as $key => $stat)
        {
                    $date = new DateTime($stat['date']);
                    $arr[]=array(
                                "viewededited"=>$stat['viewed-edited'],
                                "date"=>$date->format('d-m-Y'),
                                "sharedinternally"=>$stat['shared-internally'],
                                "synced"=>$stat['synced'],
                                "sharedexternally"=>$stat['shared-externally']);
        }
        $smarty->assign('Filestats',$arr);
    }
    catch(Exception $e)
    {
        $smarty->assign('error365',$e->getMessage());
    }
}
?>
