<?php
$smarty->assign('template365',$template_path.'/control_365_sharepoint.html');
if($tab =='users')
{
    $credential= Model_365::buildcredential($dbconnection,$node->getId());
    exec($plugin_path.' --json --type=sharepoint --name=userstatdetail '.$credential,$out,$ret);
    $stateService=array();
    if($ret==0)
    {
        $services="";
        foreach($out as $line)
                {
                    $services.=$line;
                }
                $services = json_decode($services,true);
                $arr =array();
				foreach($services as $key => $stat)
				{
                    $date = new DateTime($stat['last_activity']);
                    $used = round(($stat['used']/1024/1024),2);
                    if($used > 1024)
                    {
                        $used=round($used/1024,2).' GB';
                    }
                    else
                    {
                        $used=$used.' MB';
                    }
                    $arr[]=array(
                                "owner"=>$stat['owner'],
                                "last_activity"=>$date->format('d-m-Y'),
                                "file"=>$stat['file'],
                                "active_file"=>$stat['active_file'],
                                "used"=>$stat['used'],
                                "usedPretty"=>$used,
                                "usedpercent"=>round(($stat['used']/$stat['allocated'])*100,0),
                                "allocated"=>$stat['allocated']);
                }
                $smarty->assign('UserStats',$arr);
            }
            else
            {
                $services="";
                foreach($out as $line)
                {
                    $services.=$line;
                }
                $smarty->assign('error365',$services);
            }
}
elseif($tab =='fileactivity')
{
    $credential= Model_365::buildcredential($dbconnection,$node->getId());
    try
    {
        $files = exec365($plugin_path.' --json --type=sharepoint --name=fileactivity --args days=30 '.$credential,$out,$ret);
        $arr =array();
        foreach($files as $key => $stat)
        {
                    $date = new DateTime($stat['date']);
                    $arr[]=array(
                                "viewededited"=>$stat['viewed-edited'],
                                "date"=>$date->format('d-m-Y'),
                                "sharedinternally"=>$stat['shared-internally'],
                                "synced"=>$stat['synced'],
                                "sharedexternally"=>$stat['shared-externally']);
        }
        $smarty->assign('Filestats',$arr);
    }
    catch(Exception $e)
    {
        $smarty->assign('error365',$e->getMessage());
    }
}
elseif($tab =='sitedetail')
{
    $credential= Model_365::buildcredential($dbconnection,$node->getId());
    try
    {
        $services = exec365($plugin_path.' --json --type=sharepoint --name=siteusagedetail '.$credential,$out,$ret);
        if(count($services)==0)
        {
            $smarty->assign('error365',$lang['365_SHAREPOINT_NOTSITE']);
        }
        else
        {
            usort($services, "orderBytes");
            $arr =array();
            $pageviewed=0;
            $pageactive=0;
            $pagevisited=0;
            foreach($services as $stat)
            {
                $date = new DateTime($stat['last_activity']);
                $used = round(($stat['used']/1024/1024),2);
                if($used > 1024)
                {
                    $used=round($used/1024,2).' GB';
                }
                else
                {
                    $used=$used.' MB';
                }
                if($stat['allocated'] == 0)
                {
                    $stat['allocated']='1099511627776';
                }
                $allocated = round(($stat['allocated']/1024/1024),2);
                if($allocated >= 1024)
                {
                    $allocated=round($allocated/1024,2).' GB';
                    if($allocated >= 1024)
                    {
                        $allocated=round($allocated/1024,2).' TB';
                    }
                }
                else
                {
                    $allocated=$allocated.' MB';
                }
                $arr[]=array("name"=>$stat['name'],
                    "last_activity"=>$date->format('d-m-Y'),
                    "file"=>$stat['file_count'],
                    "active_file"=>$stat['active_file'],
                    "used"=>$stat['used'],
                    "usedPretty"=>$used,
                    "usedpercent"=>round(($stat['used']/$stat['allocated'])*100,0),
                    "allocated"=>$stat['allocated'],
                    "allocatedPretty"=>$allocated,
                    "page_view"=>$stat['page_view'],
                    "page_visited"=>$stat['page_visited']);
            }
            $smarty->assign('sitestats',$arr);
        }
    }
    catch(Exception $e)
    {
        $smarty->assign('error365',$e->getMessage());
    }
}
?>
