<?php
/**
 * @name  Model_server
 * @description Classe héritant de "Model_esia" gèrent tout les accès à la base de donnée du plugin Server
 * @author Nicolas Biersart <n.biersart@esia-network.com>
 * @contributor
 * @copyright Nicolas Biersart 2012
 * @license
 * @esia 1.00
 * @version 1.0.0
 * @date 08/11/2012
 */
include_once SNMP_CLASS;
include_once DEVICE_CLASS;
include_once MVCMODEL;
include_once $path.'/Model_adm.php';

class Model_365 extends Model_esia
{
    static public function buildcredential($dbconnection,$node)
    {
        $credential="";
        $configs = Model_adm::getAdvanceNodeConfig($dbconnection,$node);
        foreach($configs as $conf)
        {
            if($conf['name'] == 'OFFICE365')
            {
                $cred = json_decode($conf['file_content'],true);
                $credential= '--key='.$cred['key'].' --tenant='.$cred['tenantID'].' --client='.$cred['clientID'];
                break;
            }
        }
        return $credential;
    }
    static public function getScreenType($dbconnection,$node)
    {
        $type="";
        $configs = Model_adm::getAdvanceNodeConfig($dbconnection,$node);
        foreach($configs as $conf)
        {
            if($conf['name'] == 'OFFICE365')
            {
                $type = $conf['parameter']['type'];
                break;
            }
        }
        return $type;
    }
}
class Model365Exception extends EsiaDbException{}
?>
